      program plotcorrn
      include 'mxcurve.dec'

      real*4   om_0(mxcurv),cc_0(mxcurv),H_0
c      real*4   pdWmax(mxcurv,mxcurv)

      integer*4 nbin(mxcurv,mxcurv)
      parameter(mxbins=2048 *8)

c     ---- for the 2pt spatial corrn function ----
      parameter(nthree=3)
      real*4        histog(mxbins,nthree)  ! 1=DD, 2=DR, 3=RR
      real*4        corrn(mxbins)

      real*4        rbin(mxbins)

      character*5   ch5a,ch5b

      open(1,file='corrn.dat',access='sequential',
     _     form='unformatted',status='unknown')
      read(1)iom,icc,om_0(iom),cc_0(icc),
     _     nbin(icc,iom),kcurv,delta,deltaRc
      read(1)nbin,histog,corrn
      close(1)
      print*,'Have read '//'corrn.dat'

      print*,'iom,icc,om_0(iom),cc_0(icc),',
     _     'nbin(icc,iom),kcurv,delta,deltaRc='
      print*,iom,icc,om_0(iom),cc_0(icc),
     _     nbin(icc,iom),kcurv,delta,deltaRc

      if(1+1.eq.3)then
         print*,'ib.delta,corrn=',((real(ib)-0.5)*delta,corrn(ib),
     _        ib=1,nbin(icc,iom))
      endif

      nb=nbin(icc,iom)
      nb=500 !60 !200! 20! 
      xmax=delta*nb
      ymax=-9e9
      ymin=9e9
      do ib=1,nbin(icc,iom)
         rbin(ib)= (real(ib)-0.5)*delta
         ymax=max(ymax,corrn(ib))
         if(corrn(ib).gt.-99.0)ymin=min(ymin,corrn(ib))
      enddo
      print*,'ymin,ymax (initial)=',ymin,ymax
      ymin=-1.0 !-0.1 !-0.2 !
      ymax=1.0!2.0 !0.1 !

      write(ch5a,'(f5.2)')om_0(iom)
      write(ch5b,'(f5.2)')cc_0(icc)
      

      call pgbegin(0,'?',1,1)
      call pgslw(3)
      call pgscf(2)
      call pgvsize(1.0,7.0,1.0,7.0)

      call pgwindow(0.0,xmax,ymin,ymax)
      call pgbox('bcnts',0.,0,'bcnts',0.,0)

c      call pgline(nbin(iom,icc),rbin,corrn)
      call pgline(nb,rbin,corrn)
      call pglabel('r (in h\\u-1\\dMpc)','\\gc',' ')

      call pgptxt(xmax*0.3,ymin+0.9*(ymax-ymin), 0.0,0.0,
     _    '\\gW\\d0\\u='//ch5a//', \\gl\\d0\\u='//ch5b)

      call pgslw(1)
      call pgmove(0.0,0.0)
      call pgdraw(xmax,0.0)
      call pgend
      
      end

