

      subroutine findAB(table,transp,istat, cc_0,om_0,ncc,nom, 
     _     cczero,
     _     A,sigA,B,sigB,chi2,q)
C     --- originally called by  plates.f, but finally used 
C     by  plotdm.f ---


c      parameter(mxcurv=300) !! WARNING: present in plates MAIN prog !!
      include 'mxcurve.dec'

C     INPUTS:
      real*4     table(mxcurv,mxcurv,5)
      logical*4  transp         ! transpose om<->cc in table( )?
      integer*4  istat
      real*4     om_0(mxcurv),cc_0(mxcurv)
      integer*4  ncc,nom
      real*4     cczero ! cc_0 zero point ?

C     COMMON:
      logical*4  test,testloc
      common /testcomm/ test

C     OUTPUTS:
      real*4     A,sigA,B,sigB

C     INTERNAL:
      real*4     tab2(mxcurv,mxcurv,5)
      parameter(rlss=130.0,drlss=10.0)
      real*4     ombest(mxcurv),sigom(mxcurv)
      real*4     cc_1(mxcurv)
      logical*4  notfound
      logical*4  confid ! use 1\sigma 1-sided confidence level, ie 84% ?

C     !! H_0=100.0 

      testloc=test
      confid=.true.
      testloc=.true. ! modified from external value
c      changecczero=.true.

      if(testloc)then
         print*,'findAB: AAA ',
     _        'istat, ncc,(table(1,icc,istat),icc=1,ncc)=',
     _        istat, ncc,(table(1,icc,istat),icc=1,ncc)
      endif

CC      istat=3 !1 !
      nmult=1 !2! 


c      yy=3.0 ! nsigma
      yy=1.0
      ommin= 0.0
      nom1 =nint((ommin-om_0(1)) *real(nom)/(om_0(nom)-om_0(1)) ) !+1
      nom1= max(1,nom1)
      if(testloc)print*,'nom1=',nom1
      ommax= 1.1
      nom2 =nint((ommax-om_0(1)) *real(nom)/(om_0(nom)-om_0(1)) ) !-1
      nom2= min(nom,nom2)
      if(testloc)print*,'nom2=',nom2
      
      if(.not.(confid))then
         f_=1.0/(real(nmult)*rlss)
         fm=1.0/( real(nmult)*(rlss +yy*drlss) ) ! + - reversed 5/11/99
         fp=1.0/( real(nmult)*(rlss -yy*drlss) )
      else
         f_=1.0- 0.0
         fm=1.0- 0.68 !0.84 !0.15 !
         fp=fm
      endif

      if(nom.gt.1)then
         tolsig=0.5*(om_0(2)-om_0(1))
      else
         tolsig=0.1
      endif
      
      if(testloc)print*,'f_,fm,fp=',f_,fm,fp

      if(testloc)print*,'om_0(1),cc_0(1)=',om_0(1),cc_0(1)
      if(testloc)print*,'(om_0(i),cc_0(i),i=1,nom)=',
     _     (om_0(i),cc_0(i),i=1,nom)

      if(testloc)then
         print*,'BB istat, ncc,(table(1,icc,istat),icc=1,ncc)=',
     _        istat, ncc,(table(1,icc,istat),icc=1,ncc)
      endif

      if(transp)then
         do iom=1,nom
            do icc=1,ncc
               tab2(icc,iom,istat)=table(iom,icc,istat)
            enddo
         enddo
      else
         do icc=1,ncc
            do iom=1,nom
               tab2(icc,iom,istat)=table(icc,iom,istat)
            enddo
         enddo
      endif
      if(testloc)then
         print*,'CC istat,ncc,(table(1,icc,istat),icc=1,ncc)=',
     _        istat,ncc,(table(1,icc,istat),icc=1,ncc)
      endif
      if(testloc)then
         print*,'DD istat,ncc,(tab2(icc,1,istat),icc=1,ncc)=',
     _        istat,ncc,(tab2(icc,1,istat),icc=1,ncc)
      endif


      do icc=1,ncc
c         if(testloc)print*,'icc,tab2(icc,1,istat)=',
c     _        icc,tab2(icc,1,istat)
         iom_=nom1
         iomm=nom1
         iomp=nom1
         if(ifindsig.ne.3)then
            d_=abs(tab2(icc,iom_,istat)-f_)
            dm=abs(tab2(icc,iomm,istat)-fm)
            dp=abs(tab2(icc,iomp,istat)-fp)
         elseif(ifindsig.eq.3)then
            d_=abs(tab2(icc,iom_,istat)-f_)
c            dm=tab2(icc,iomm,istat)-fm
c            dp=tab2(icc,iomp,istat)-fp
         endif

c         if(testloc)print*,'initially: d_,dm,dp=',d_,dm,dp

c         do iom=1,nom
         do iom=nom1,nom2
            if(abs(tab2(icc,iom,istat)-f_).lt.d_)then
               iom_=iom
               d_=abs(tab2(icc,iom,istat)-f_)
            endif
         enddo

c         if(ifindsig.eq.3)then
c            dm=tab2(icc,iomm,istat)-fm
c            dp=tab2(icc,iomp,istat)-fp
c         endif

         if(testloc)print*,'d_,iom_,om_0(iom_)=',d_,iom_,om_0(iom_)
c         if(testloc)print*,'secondly: d_,dm,dp=',d_,dm,dp

c     do iom=1,iom_ !+1
         ifindsig=3
         if(ifindsig.eq.1)then
c            do iom=nom1,iom_    !+1
            do iom=iom_,nom1,-1    !+1
               if(abs(tab2(icc,iom,istat)-fm).lt.dm
     _              .or.abs(tab2(icc,iom,istat)-fp).lt.dm)then
                  iomm=iom
                  dm=min(abs(tab2(icc,iom,istat)-fm),
     _                 abs(tab2(icc,iom,istat)-fp))
               endif
            enddo
            do iom=iom_,nom2
               if(abs(tab2(icc,iom,istat)-fp).lt.dp
     _              .or.abs(tab2(icc,iom,istat)-fm).lt.dp)then
                  iomp=iom
                  dp=min(abs(tab2(icc,iom,istat)-fp),
     _                 abs(tab2(icc,iom,istat)-fm))
               endif
            enddo
         elseif(ifindsig.eq.2)then
            iom=iom_
            do while(iom.gt.nom1.and.
     _           fm.lt.tab2(icc,iom,istat).and.
     _           tab2(icc,iom,istat).lt.fp)
               iom=iom-1
            enddo
            iomm=iom

            iom=iom_
            do while(iom.lt.nom2.and.
     _           fm.lt.tab2(icc,iom,istat).and.
     _           tab2(icc,iom,istat).lt.fp)
               iom=iom+1
            enddo
            iomp=iom
         elseif(ifindsig.eq.3)then ! no absolute value ! for pr(...)
            iom=nom1
            do while(iom.lt.iom_.and.tab2(icc,iom,istat).lt.fm)
               iom=iom+1
            enddo
            iomm=iom-1

            iom=nom2
            do while(iom.gt.iom_.and.tab2(icc,iom,istat).lt.fp)
               iom=iom-1
            enddo
            iomp=iom+1
         else
            print*,'findAB: ERROR ifindsig not valid: ',ifindsig
         endif

         ombest(icc)= om_0(iom_)
         sigom(icc)= abs(om_0(iomp)-om_0(iomm)) /2.0
c     _        /10.0 !! test only !!

         if(sigom(icc).lt.tolsig)sigom(icc)= tolsig

         if(ifindsig.eq.3 .and. tab2(icc,iom_,istat).lt.fp)
     _        sigom(icc)=10.0

c         if(testloc)print*,'icc, ombest(icc),om_0(iomm),om_0(iomp)=',
         if(testloc)write(6,'(a,i,f6.3,4f9.3)')'icc, cc,omb, +,-,sig= ',
     _        icc, cc_0(icc),
     _        ombest(icc),om_0(iomm),om_0(iomp),sigom(icc)
c         if(testloc)print*,'icc, ombest(icc),sigom(icc)=',
c     _        icc, ombest(icc),sigom(icc)
      enddo

c      if(testloc)then
c         A=ombest(1)            !! test only !!
c         sigA=sigom(1)          !! test only !!
c      endif

      mwt=1
      do i=1,ncc
         cc_1(i)=cc_0(i) - cczero
      enddo

      if(ncc.gt.2)then
         if(testloc)print*,'will call fit, ncc=',ncc
         call fit(cc_1,ombest,ncc,sigom, mwt, A,B,sigA,sigB,chi2,q)
c     if(testloc)print*,'have called fit'
c     stop
      else
         print*,'findAB WARNING: ncc too small, ncc=',ncc
         if(ncc.eq.2)then
            A= ombest(1)
            sigA= sqrt(sigom(1)*sigom(1)+sigom(2)*sigom(2))
            B= (ombest(2)-ombest(1))/(cc_1(2)-cc_1(1))
            sigB= 1e-4
         elseif(ncc.eq.1)then
            A= ombest(1)
            sigA= sigom(1)
            B= 0.0
            sigB=99.9
         endif
      endif

      return
      end


