c      program testrdRLAGN
      subroutine testrdRLAGN

      include 'mxqso.dec'

      call rdRLAGN
      i=0
      do iqso=1,nqso
         if(redsh(iqso).gt.0.5)i=i+1
      enddo
      print*,'i over z=0.5 is ',i

      end


      subroutine rdRLAGN
c     ==== read in catalogue of about 12000 (Sep 2001) RLAGNs with redshifts ====

      include 'mxqso.dec'

      character*1 sign
      real*8      x8,y8

c      open(1,file='/home/boud/cosm/top/marecki01/all_with_z.radio',
      open(1,file='all_with_z.radio',
     _     access='sequential',form='formatted',
     _     status='old')

      iqso=0

      do while(1+1.eq.2)
        read(1,110,end=333) ih,im,sec,sign,id,imd,isd,z
110     format(2I2.2,f4.1,A1,3i2.2,T131,f6.3)
c        write(6,110)ih,im,sec,sign,id,imd,isd,z
        iqso=iqso+1
        ra_(iqso)=dble(ih)+dble(im)/60.0 + dble(sec)/3600.0
        yy=dble(id)+dble(imd)/60.0 + dble(isd)/3600.0
        if(sign.eq.'-')yy=-yy
        dec(iqso)=yy
        redsh(iqso)= z

        name(iqso)='RLAGN'
c        print*,'ih*100+im=',ih*100+im
c        write(6,''ih*100+im=',ih*100+im
        write(name(iqso)(6:9),'(i4)')ih*100+im
        if(sign.eq.'-')then
           name(iqso)(10:10)='+'
        else
           name(iqso)(10:10)='-'
        endif
        write(name(iqso)(11:13),'(i3)')ih*10+im/10
        
      enddo
 333  continue
      close(1)

      nqso=iqso
      print*,'Read in ',nqso,' RLAGNs'

      return
      end
